Page MenuHomePhabricator

Refresh the mediawiki.org homepage
Closed, ResolvedPublic

Tokens
"Barnstar" token, awarded by Elitre."Love" token, awarded by srishakatux."Barnstar" token, awarded by Qgil."Like" token, awarded by D3r1ck01."Like" token, awarded by CCicalese_WMF."Like" token, awarded by CKoerner_WMF."Barnstar" token, awarded by Miriya52."Like" token, awarded by Kghbln."Like" token, awarded by Luke081515.
Assigned To
Authored By
Qgil, Oct 13 2014

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Qgil added a comment.Nov 8 2016, 1:57 PM

After having tried the revamping route and seeing where it went (basically nowhere, although I at least learned a lot), I agree that an incremental approach might bring more progress faster.

We could have separate discussions and decisions about page structure (what we want to explain and where), layout (design of the boxes), graphics (icons and other graphical elements), and content (the texts).

After agreeing what are the main audiences and messages we want to focus on, discussions about boxes to add / remove / modify should be simpler. The design of the boxes could be worked out independently.

Kghbln added a subscriber: Kghbln.
Qgil added a comment.Dec 21 2016, 10:32 AM

I think it is worth discussing this task in the context of T153007: Technical Collaboration annual plan FY2017-18. Should the Technical Collaboration team prioritize the mediawiki.org homepage refresh (and other MW.o related goals)? Should we assign/request resources to do so?

Qgil assigned this task to srishakatux.Jan 7 2017, 2:03 PM
Qgil moved this task from Backlog to Ready to Go on the Developer-Advocacy (Jan-Mar-2017) board.
Qgil added a subscriber: srishakatux.

The mediawiki.org homepage has many stakeholders and there is nothing stopping anyone to take this task and run with it. However, as we have seen in the past years, the likeliness of this to happen with effective results is slightly unlikely.

I think it makes sense to have this task owned by @srishakatux as developer advocate. What this means today is that she will be in charge of gathering feedback and proposing (or not) a goal for the Wikimedia Foundation annual plan FY2017-18. If there is an interest to move with this plan forward, we will discuss how this task would be coordinated and by whom.

Mglaser added a subscriber: RHeigl.Jan 7 2017, 9:51 PM

Hi Quim. What are the next steps? Do we need ressources for that? Or is any approval necessary?

Do you have any specific proposals or plans forward in mind? "approval": https://www.mediawiki.org/wiki/Project:Current_issues seems like the best place for community discussion?

Thank you André. I don't have specific proposals. This task is now three years old. Quim put it on the recent annual plan and my question is, if there is any help for the realization needed or some feedback. Maybe we can contribute.

Qgil added a comment.May 27 2017, 8:06 AM

@RHeigl please give us a bit of time to bootstrap the Onboarding New Developers program and share some initial suggestions with the community to start a discussion. I learned a thing or two in previous attempts, and I think it is important to have a basic agreement on the process before we start it, including a commitment to allow and pursue changes.

Sorry, the paragraph above might sound a bit bureaucratic. I think the actual process will be more interesting and funny than it sounds. :)

@Qgil that sounds great. I didn't mean to set somebody under pressure, but we would support you, whenever necessary. :-)

srishakatux removed srishakatux as the assignee of this task.Jul 11 2017, 9:26 PM

As discussed with Quim, removing myself as an assignee from this task.

Aklapper updated the task description. (Show Details)Sep 17 2017, 6:39 PM

Reading this task there seem to be only process discussions, but no audience or content discussions.
Use cases that need to be solved and in which order, basically. That might be the first part of the problem to solve.
https://www.mediawiki.org/wiki/MediaWiki/Homepage_redesign/Design_Document seems to be most relevant document for this.

Aklapper updated the task description. (Show Details)Jan 3 2018, 2:30 PM

Reassigned this task to Andre as per our chat discussion!

CKoerner_WMF added a subscriber: CKoerner_WMF.
Aklapper raised the priority of this task from Low to Normal.Jan 22 2018, 11:41 PM
Tgr added a subscriber: Tgr.Feb 2 2018, 6:23 PM

The mainpage designs created for the old RfC (in 2012!) are pretty nice, what would it take to actually start using them?

In T653#3941576, @Tgr wrote:

The mainpage designs created for the old RfC (in 2012!) are pretty nice, what would it take to actually start using them?

I agree and I did not understand back then why it was not adopted. Ok, I do not really like the pic a the top and one or two formatting tweaks could be done to the bottom section, however these do not appear to be blockers imho. Just move the stuff over to the current main page as far as I am concerned. :) Understand this comment as a cheerup!

In T653#3941576, @Tgr wrote:

The mainpage designs created for the old RfC (in 2012!) are pretty nice, what would it take to actually start using them?

Nice design, support. (Maybe the big red "Add your wiki to the list" may be a spam target)

In T653#3941576, @Tgr wrote:

The mainpage designs created for the old RfC (in 2012!) are pretty nice

I've reworked them a bit in https://www.mediawiki.org/w/index.php?title=User:AKlapper_(WMF)/Homepage a while ago to be small screen friendly etc.

what would it take to actually start using them?

Discussions and basic agreement on design, scope (concentrate on page content only? or also discuss the sidebar items?), structure (how to organize content? by audience scope? that would not always be clear, e.g. sysadmins and devs could both be interested in Professional development and consulting), content (popularity - which pages do we consider important but are obviously not found by users; which pages are popular but not linked from the frontpage), defining where to have all these discussions in a single place and where to announce them (mediawiki-l@, wikitech-l@, mw:Project:Current_issues, more?), a time plan / schedule for all these items.
I think. If I overcomplicate, feel very free to tell me. :)

Qgil added a comment.Feb 6 2018, 9:31 PM

What about starting with this:

Agree on the first, the second and the third messages that this homepage needs to communicate clearly. Just the concepts, no need to discuss final copy at this point. For instance:

  1. MediaWiki is amazing, it powers Wikipedia, and you can use it for free in combination with all these extensions, gadgets, and more.
  2. Questions using, administering or developing for MediaWiki and related technologies? Check the docs and ask here.
  3. This is the community developing all this free software. Join us!

Once we agree on the three messages, we give them three regions of the homepage. We get rid of the rest, which could be accessed from these three regions or the sidebar. Then we work on each region through iterations.

Both the previous design proposal and the HTML work Andre has been done can be recyled. However, without agreeing on these main messages we will not go far (just like in previous attempts).

Isarra added a subscriber: Isarra.Feb 13 2018, 12:20 AM
Aklapper raised the priority of this task from Normal to High.Mar 19 2018, 12:28 PM
bd808 raised the priority of this task from High to Needs Triage.Jul 6 2018, 8:48 PM
bd808 added a project: Goal.
Aklapper triaged this task as Normal priority.Sep 30 2018, 10:29 PM
Aklapper raised the priority of this task from Normal to High.Dec 11 2018, 9:59 PM

Phase 1 (audiences) summarized. Phase 2 (content) started in https://www.mediawiki.org/wiki/MediaWiki/Homepage_improvements_2018#Content

Elitre added a subscriber: Elitre.Dec 12 2018, 9:37 AM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptMar 19 2019, 11:41 PM
Aklapper closed this task as Resolved.EditedApr 14 2019, 12:17 AM

Last steps after finishing phase 3 (layout) were:

Qgil awarded a token.Apr 15 2019, 7:11 AM
Qgil added a project: User-notice.

Looks great everyone :)